--- old/usr/src/lib/librestart/common/librestart.h	2016-06-30 22:02:27.191049769 -0400
+++ new/usr/src/lib/librestart/common/librestart.h	2016-06-30 22:02:27.218831375 -0400
@@ -32,6 +32,7 @@
 #include <priv.h>
 #include <pwd.h>
 #include <sys/types.h>
+#include <sys/secflags.h>
 
 #ifdef	__cplusplus
 extern "C" {
@@ -265,7 +266,7 @@
 ssize_t restarter_state_to_string(restarter_instance_state_t, char *, size_t);
 restarter_instance_state_t restarter_string_to_state(char *);
 
-#define	RESTARTER_METHOD_CONTEXT_VERSION	7
+#define	RESTARTER_METHOD_CONTEXT_VERSION	8
 
 struct method_context {
 	/* Stable */
@@ -273,6 +274,8 @@
 	gid_t		gid, egid;
 	int		ngroups;		/* -1 means use initgroups(). */
 	gid_t		groups[NGROUPS_MAX];
+	psecflags_t	def_secflags;
+	secflagdelta_t	secflag_delta;
 	priv_set_t	*lpriv_set, *priv_set;
 	char		*corefile_pattern;	/* Optional. */
 	char		*project;		/* NULL for no change */
